BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 08-07-2008, 06:16 AM   #1 (permalink)
New Member
 
Join Date: Aug 2008
Model: 7290
PIN: N/A
Carrier: AT & T
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Application not running on other models of Blackberry

Please Login to Remove!

I have developed an application in blackberry.
The BB application reads the email from the inbox of the BB and depicts the XML data in the email and displays the information.
I need to run the application on other blackberry devices.It runs on blackberry 7290 and some models of 8700s, 8800s, 8310s, 8330s and Pearls but not on all.
I have used the blackberry API's for the development and used Blackberry JDE for the development.
But it does not run on all devices.
Can any one tell the way how it can be run on all the blackberry devices or what could be the problem.
While clicking on the application it does not launch the application on some devices?????
Offline  
Old 08-07-2008, 07:54 AM   #2 (permalink)
CrackBerry Addict
 
Join Date: Apr 2005
Location: hamburg, germany
Model: 8900
Carrier: o2
Posts: 838
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

what version of the JDE did you use and what is the OS version on the used devices?
__________________
java developer, Devinto, hamburg/germany
Offline  
Old 08-08-2008, 12:26 AM   #3 (permalink)
New Member
 
Join Date: Aug 2008
Model: 7290
PIN: N/A
Carrier: AT & T
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

i used Blackberry JDE 4.0 for the development
Offline  
Old 08-14-2008, 06:48 AM   #4 (permalink)
New Member
 
Join Date: Aug 2008
Model: 7290
PIN: N/A
Carrier: AT & T
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Can any one tell what could be the problem as i used blackberry JDE 4.0 for the development of my application.
Offline  
Old 08-14-2008, 09:43 AM   #5 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2008
Location: Austin, TX
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 1,644
Post Thanks: 0
Thanked 34 Times in 33 Posts
Default

You'll need to be more specific than "doesn't run". Are you getting any exceptions? Have you tried the application on the 8300 simulators?
Offline  
Old 08-15-2008, 09:39 AM   #6 (permalink)
Thumbs Must Hurt
 
Join Date: Apr 2006
Location: Boston
Model: 8900
Carrier: AT&T
Posts: 98
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Hi!

Should be pretty easy to do a build with a "later and greater" JDE version. The JDE version number loosely tracks the OS version number - the 83xx and 81xx series came out using 4.2 initially, so you might want to skip over JDE 4.1 and try to rebuild using the 4.2 JDE. It's not a guarantee (your app may still fail), but I've generally found that an application built using a JDE close to the OS version works better. You can also think about adding log messages to the Event Log to see where your application is going wrong.

Cheers,

karl
__________________
Karl G. Kowalski
---------------
Owns a RAZR
Develops for BlackBerry
So next phone will be........an iPhone 3G!
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.